@charset "utf-8";

/*========= ページトップのためのCSS ===============*/

/*リンクの形状*/
#page-top a{
    display: flex;
    justify-content: center;
    align-items: center;
    background: url(../../assets/images/to-top_mark.svg);
    border-radius: 5px;
    width: 60px;
    height: 60px;
    transition: all 0.3s;
    background-size: 90%;
    background-repeat: no-repeat;
}

#page-top a:hover {
	opacity: 1;
}

/*リンクを右下に固定*/
#page-top {
  position: fixed;
  right: 10px;
  bottom:10px;
  z-index: 2;
    /*はじめは非表示*/
  opacity: 0;
  transform: translateY(100px);
}

/*　上に上がる動き　*/

#page-top.UpMove{
  animation: UpAnime 0.5s forwards;
}
@keyframes UpAnime{
  from {
    opacity: 0;
  transform: translateY(100px);
  }
  to {
    opacity: 1;
  transform: translateY(0);
  }
}

/*　下に下がる動き　*/

#page-top.DownMove{
  animation: DownAnime 0.5s forwards;
}
@keyframes DownAnime{
  from {
    opacity: 1;
  transform: translateY(0);
  }
  to {
    opacity: 1;
  transform: translateY(100px);
  }
}



/*スマホ・タブレット*/
@media screen and (max-width: 1024px) {
	#page-top {
	    bottom: 50px;
	}
}
